import type { IMenuItem } from '@/types'
import { defineStore } from 'pinia'
import { Tickets } from '@element-plus/icons-vue'

interface State {
  studentMenus: IMenuItem[]
  adminMenus: IMenuItem[]
}

// 学生菜单
const studentMenus: IMenuItem[] = [
  {
    name: '智能营销',
    path: '/student/lab'
  },
  {
    name: '技能大赛',
    path: '/student/contest'
  }
]
// 教师、管理员菜单
const adminMenus: IMenuItem[] = [
  {
    name: '智能营销',
    path: '/admin/lab',
    children: [
      {
        icon: markRaw(Tickets),
        name: '实验指导书管理',
        path: '/admin/lab/book'
      },
      {
        icon: markRaw(Tickets),
        name: '实验操作视频管理',
        path: '/admin/lab/video'
      },
      {
        icon: markRaw(Tickets),
        name: '实验讨论交流',
        path: '/admin/lab/discuss'
      },
      {
        icon: markRaw(Tickets),
        name: '实验成绩管理',
        path: '/admin/lab/score'
      }
    ]
  },
  {
    name: '技能大赛',
    path: '/admin/contest'
  },
  {
    name: '大赛成绩',
    path: '/admin/contest/score'
  },
  {
    name: '系统管理',
    path: '/admin/system',
    children: [
      {
        icon: markRaw(Tickets),
        name: '实验管理',
        path: '/admin/system/experiment'
      }
    ]
  }
]

export const useMenuStore = defineStore({
  id: 'menu',
  state: (): State => ({
    studentMenus,
    adminMenus
  }),
  getters: {
    menus: state => state.adminMenus
  },
  actions: {}
})
